package cbpm.rtx.utils;

import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;

public class TestRTXService {

   public static void main(String[] args) {
      String url = "http://10.72.3.22:80/RootObjWebService.asmx";
      String soapaction = "http://tempuri.org/";
      String username = "chenzh";
      Service service = new Service();

      try {
         Call ex = (Call)service.createCall();
         ex.setTargetEndpointAddress(url);
         ex.setOperationName(new QName(soapaction, "IsUserExist"));
         ex.addParameter(new QName(soapaction, "bstrUserName"), XMLType.XSD_STRING, ParameterMode.IN);
         ex.setReturnType(XMLType.XSD_STRING);
         ex.setUseSOAPAction(true);
         ex.setSOAPActionURI(soapaction + "IsUserExist");
         String v = (String)ex.invoke(new Object[]{username});
         System.out.println(v);
      } catch (Exception var7) {
         var7.printStackTrace();
      }

   }

   public static String testRTXCall() {
      String url = "http://10.72.3.22/UserWebServiceService.asmx";
      String soapaction = "http://tempuri.org/";
      String username = "chenzh";
      Service service = new Service();

      try {
         Call ex = (Call)service.createCall();
         ex.setTargetEndpointAddress(url);
         ex.setOperationName(new QName(soapaction, "IsUserExist"));
         ex.addParameter(new QName(soapaction, "bstrUserName"), XMLType.XSD_STRING, ParameterMode.IN);
         ex.setReturnType(XMLType.XSD_STRING);
         ex.setUseSOAPAction(true);
         ex.setSOAPActionURI(soapaction + "IsUserExist");
         String v = (String)ex.invoke(new Object[]{username});
         System.out.println("V:" + v);
         return v;
      } catch (Exception var6) {
         var6.printStackTrace();
         return var6.getMessage();
      }
   }
}
